Bug 169751 - 6848:error:140943FC:SSL routines:SSL3_READ_BYTES:sslv3 alert bad record mac:s3_pkt.c:1052:SSL alert number 20 Query status=3 (AUTHFAIL)
6848:error:140943FC:SSL routines:SSL3_READ_BYTES:sslv3 alert bad record mac:s...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-02 20:20 EDT by Thaddeus Nielsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-04 07:19:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thaddeus Nielsen 2005-10-02 20:20:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
       Run fetchmail (version 6.2.5-7.fc3.1) with SSL option to get my POP3 email at two different accounts.  The first one is at myrealbox.com.  Get this error right away: 6848:error:140943FC:SSL routines:SSL3_READ_BYTES:sslv3 alert bad record mac:s3_pkt.c:1052:SSL alert number 20
fetchmail: SSL connection failed.
fetchmail: Query status=3 (AUTHFAIL).
       Then fetchmail proceeds to retrieve email from my second POP3 email account (at gmail.com) using the same SSL option.
       The relevant output from fetchmail -v -v seems to show this to be a openssl problem, not a fetchmail problem; that output shows: fetchmail: 6.2.5 querying pop3.myrealbox.com (protocol POP3) at Sun 02 Oct 2005 
06:56:18 PM CDT: poll started
fetchmail: pop3.myrealbox.com key fingerprint: 67:CD:81:1F:39:D1:FD:BA:01:AC:67:
63:A2:1C:68:C1
fetchmail: 6.2.5 querying pop3.myrealbox.com (protocol POP3) at Sun 02 Oct 2005 
06:56:19 PM CDT: poll completed
fetchmail: Query status=3 (AUTHFAIL)
       This began today (2 Oct 05).  It worked fine yesterday.  The last update on this machine was gtk2-2.4.14-4.fc3 on 30 Sep 05 and this machine is shutdown every night.  I was able to log into the myrealbox email account via http so the account and password are OK.

Version-Release number of selected component (if applicable):
openssl-0.9.7a-42.1

How reproducible:
Always

Steps to Reproduce:
1. Run fetchmail with SSL option to retrieve email from myrealbox.com (POP3 server).  [poll pop3.myrealbox.com proto pop3 options ssl]
2.
3.
  

Actual Results:  see description

Expected Results:  email would have been retrieved

Additional info:
Comment 1 Thaddeus Nielsen 2005-10-03 09:04:36 EDT
Please cancel this.  Another day passed and all is working properly.

Note You need to log in before you can comment on or make changes to this bug.